Bug 432416 - an automatic slide navigation can not be stopped
Summary: an automatic slide navigation can not be stopped
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Mint (Ubuntu based) Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-02 11:48 UTC by berejnoi
Modified: 2021-02-28 23:33 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
pdf file example (461.24 KB, application/pdf)
2021-02-02 13:58 UTC, berejnoi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description berejnoi 2021-02-02 11:48:24 UTC
Dear experts,  
thank you very much for developing okular.

I have installed okular (Version: 4:19.12.3-2ubuntu1) under Mint 20.1 (5.4.0-58-generic #64-Ubuntu SMP  x86_64 GNU/Linux). 

It works, but I can't stop or change a  pdf slide navigation, setting Presentation Mode options. For example, setting "advance every" parameter to 1000 sec, I do not see any changes in the presentation process, uncheking of "advance every" button also change nothing,
Therefore I can not stop an automatic changing of slides in the Presentation Mode. 

At the same time /home/berejnoi/.config/okullar partrc file contains correct settings. For example, for unchecked "advance every" button one can see somethins like this:
[Core General]
ObeyDRM=false

[Core Presentation]
SlidesTapNavigation=ForwardBackward

[General]
ttsEngine=flite

[PageView]
MouseMode=RectSelect
ViewContinuous=false

and for checked "advance every" button  something like this:
[Core General]
ObeyDRM=false

[Core Presentation]
SlidesAdvance=true
SlidesTapNavigation=ForwardBackward

[General]
ttsEngine=flite

[PageView]
MouseMode=RectSelect
ViewContinuous=false


Setting SlidesAdvance=false by hand does not help.


Could you, please,  fix the problem or provide a temporal solution?

Thank you in advance,
Aleksandr
Comment 1 David Hurka 2021-02-02 12:55:36 UTC
Seems like your PDF has some embedded script that does automatic slide advance. I think this is implemented in Okular.

Does the problem occur with every document? Otherwise providing the PDF may be helpful.
Comment 2 berejnoi 2021-02-02 13:58:51 UTC
Created attachment 135366 [details]
pdf file example
Comment 3 berejnoi 2021-02-02 14:05:05 UTC
Dear David,
thank very much for the response. 

Seems you are right.
 I have been misled by two circumstance:
1. I have tested pdf files from the one site;
2. under Mint 20 okular for some reason does not read the appropriate parameters for pdf files.

Now I have tried several pdf files from different sources and can conclude that for the most of them okular works as expected.

In the attachments you could find the file, which does not obey the okular settings. 


Best wishes,

Aleksandr
Comment 4 David Hurka 2021-02-03 11:46:23 UTC
Indeed, this document is unstoppable in presentation mode.
Comment 5 Nate Graham 2021-02-03 17:46:35 UTC
Yikes!
Comment 6 berejnoi 2021-02-03 20:22:54 UTC
As a temporal solution this file could be converted to ps and back with pdf2ps, pdftops and ps2pdf. Something is breaking inside the file and  it is turning to  a normal one.
Comment 7 Albert Astals Cid 2021-02-03 23:02:35 UTC
I mean you can also just press the play/pause button twice, there's just a small disconnect that the button doesn't realize the pdf has autoadvance settings and it's not in the right state
Comment 8 Bug Janitor Service 2021-02-03 23:40:58 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/365
Comment 9 Albert Astals Cid 2021-02-28 23:33:54 UTC
Git commit 6f5b23290fdd2ada8e0e7f44ffada02c978d0c6a by Albert Astals Cid.
Committed on 28/02/2021 at 23:05.
Pushed by aacid into branch 'release/20.12'.

presentation: Show better the status of the "playing" button

This fixes the issue that it's not obvious how to stop the next page
timer if a pdf has defined a given duration.

M  +7    -5    part/presentationwidget.cpp

https://invent.kde.org/graphics/okular/commit/6f5b23290fdd2ada8e0e7f44ffada02c978d0c6a